import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetPoultriesService = createAsyncThunk(
  "SLAUGHTER_GET_POULTRIES_SERVICE",
  async (d = {}, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "get-all-poultry-for-increase-hatching/",
      {
        params: {
          role: getRoleFromUrl(),
          active_hatching: true,
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
